<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.CheckConfigurationScheduler']}</h1>
        <h:form id="globalForm">
            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TimerScheduling']}</f:facet>
                <rich:dataTable value="#{systemConfigurationChecker.getRelatedTimers()}" var="currentTimer"
                                rows="10" rendered="#{not empty systemConfigurationChecker.getRelatedTimers()}"
                                render="ds">
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TimeRemaining']}</ui:define>
                        <h:outputText value="#{systemConfigurationChecker.getTimeRemaining(currentTimer)}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.NextTimeout']}</ui:define>
                        <h:outputText value="#{systemConfigurationChecker.getNextTimeout(currentTimer)}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.DeleteTimer']}"
                                         rendered="#{s:hasRole('admin_role')}"
                                         render="globalForm"
                                         actionListener="#{systemConfigurationChecker.cancel(currentTimer)}">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>

                    </g:column>
                    <f:facet name="footer">
                        <s:div style="text-align: center;">
                            <rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true"/>
                        </s:div>
                    </f:facet>
                </rich:dataTable>
                <a4j:commandButton actionListener="#{checkerConfigurationManager.initNewSelectedTimer()}" styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.CreateNewTimer']}" oncomplete="jq162('#timer_creation').modal('show');"
                                   render="timerForm,timer_creation"/>
                <a4j:commandButton value="#{messages['gazelle.vut.Refresh']}" render="globalForm" styleClass="gzl-btn"/>
                <br/>
            </gri:panel>
        </h:form>
        <h:form id="timerForm">
            <gri:popupPanel id="timer_creation">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.CreateTimer']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" styleClass="gzl-btn"
                                           onclick="jq162('#timer_creation').modal('hide')" execute="@this"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Confirm']}" styleClass="gzl-btn-green"
                                           actionListener="#{checkerConfigurationManager.createTimer()}"
                                           oncomplete="jq162('#timer_creation').modal('hide');" render="globalForm,messageDecoration"/>
                    </div>
                </f:facet>
                <s:decorate id="uuid_view">
                    <div class="form-horizontal">
                        <s:decorate id="editconfigNameDecorate" template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.InitialExpiration']}</ui:define>
                            <ui:param name="id" value="dateBeginInput"/>
                            <ui:param name="required" value="true"/>
                            <h:panelGrid columns="4">
                                <h:inputText id="dateBeginInput" size="30" value="#{checkerConfigurationManager.dateBegin}" styleClass="form-control"
                                             required="true">
                                    <a4j:ajax event="blur" render="editconfigNameDecorate"/>
                                </h:inputText>
                                <gdk:spacer height="5px"/>
                                <s:span styleClass="gzl-icon-question-circle"
                                        title="The format of the initial expiration date is : 'yyyy/MM/dd HH:mm:ss'"/>
                            </h:panelGrid>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IntervalDuration']}</ui:define>
                            <h:inputText value="#{checkerConfigurationManager.timerPeriod}" styleClass="form-control"/>
                        </s:decorate>
                    </div>


                </s:decorate>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
